import type { MultiSelectWithFiltersProps } from '@/components/inputs/v3/AppMultiSelectWithFilters.vue';
declare const _default: {
    title: string;
    component: import("vue").DefineComponent<{
        modelValue?: any[];
    } & MultiSelectWithFiltersProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "input-text-change": (...args: any[]) => void;
        "update:modelValue": (value: any[]) => void;
    }, string, import("vue").PublicProps, Readonly<{
        modelValue?: any[];
    } & MultiSelectWithFiltersProps> & Readonly<{
        "onInput-text-change"?: (...args: any[]) => any;
        "onUpdate:modelValue"?: (value: any[]) => any;
    }>, {
        size: "large" | "regular" | "small";
        freeTextMask: string;
        inputId: string;
        inputLabel: string;
        noMatchesMessage: string;
        options: {
            id: string;
            name: string;
            freeFormText?: boolean;
        }[];
        placeholder: string;
        removeValueAriaLabel: string;
        selectFirstFreeTextOptionOnEnter: boolean;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {
        inputRef: import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            disabled: {
                type: BooleanConstructor;
                required: false;
            };
            modelValue: {
                type: StringConstructor;
                required: false;
            };
            inputName: {
                type: StringConstructor;
                required: false;
            };
            inputId: {
                type: StringConstructor;
                required: true;
            };
            inputLabel: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            autoComplete: {
                type: StringConstructor;
                required: false;
            };
            autoCapitalize: {
                type: StringConstructor;
                required: false;
            };
            autoCorrect: {
                type: StringConstructor;
                required: false;
            };
            inputType: {
                type: StringConstructor;
                default: string;
            };
            hintText: {
                type: StringConstructor;
                required: false;
            };
            errorText: {
                type: StringConstructor;
                required: false;
            };
            mask: {
                type: (StringConstructor | ArrayConstructor)[];
                required: false;
                default: string;
            };
            outputIsMasked: {
                type: BooleanConstructor;
                required: false;
                default: boolean;
            };
            readonly: {
                type: BooleanConstructor;
                default: boolean;
            };
            placeholder: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            size: {
                type: StringConstructor;
                default: string;
                validator(value: unknown): boolean;
            };
            hideLabel: {
                type: BooleanConstructor;
                default: boolean;
            };
            showErrorSlot: {
                type: BooleanConstructor;
                default: boolean;
            };
            isMobile: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {
            maskedInput: {
                unmasked: string;
            };
            options: {
                mask: string | unknown[];
                tokens: {
                    A: {
                        pattern: RegExp;
                        transform: (chr: any) => any;
                    };
                };
            };
        }, {}, {
            hasError(): boolean;
        }, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").PublicProps, {
            size: string;
            mask: string | unknown[];
            disabled: boolean;
            inputLabel: string;
            placeholder: string;
            inputType: string;
            outputIsMasked: boolean;
            readonly: boolean;
            hideLabel: boolean;
            showErrorSlot: boolean;
            isMobile: boolean;
        }, true, {}, {}, import("vue").GlobalComponents, {
            maska: any;
        } & import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            disabled: {
                type: BooleanConstructor;
                required: false;
            };
            modelValue: {
                type: StringConstructor;
                required: false;
            };
            inputName: {
                type: StringConstructor;
                required: false;
            };
            inputId: {
                type: StringConstructor;
                required: true;
            };
            inputLabel: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            autoComplete: {
                type: StringConstructor;
                required: false;
            };
            autoCapitalize: {
                type: StringConstructor;
                required: false;
            };
            autoCorrect: {
                type: StringConstructor;
                required: false;
            };
            inputType: {
                type: StringConstructor;
                default: string;
            };
            hintText: {
                type: StringConstructor;
                required: false;
            };
            errorText: {
                type: StringConstructor;
                required: false;
            };
            mask: {
                type: (StringConstructor | ArrayConstructor)[];
                required: false;
                default: string;
            };
            outputIsMasked: {
                type: BooleanConstructor;
                required: false;
                default: boolean;
            };
            readonly: {
                type: BooleanConstructor;
                default: boolean;
            };
            placeholder: {
                type: StringConstructor;
                required: false;
                default: string;
            };
            size: {
                type: StringConstructor;
                default: string;
                validator(value: unknown): boolean;
            };
            hideLabel: {
                type: BooleanConstructor;
                default: boolean;
            };
            showErrorSlot: {
                type: BooleanConstructor;
                default: boolean;
            };
            isMobile: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & Readonly<{}>, {
            maskedInput: {
                unmasked: string;
            };
            options: {
                mask: string | unknown[];
                tokens: {
                    A: {
                        pattern: RegExp;
                        transform: (chr: any) => any;
                    };
                };
            };
        }, {}, {
            hasError(): boolean;
        }, {}, {
            size: string;
            mask: string | unknown[];
            disabled: boolean;
            inputLabel: string;
            placeholder: string;
            inputType: string;
            outputIsMasked: boolean;
            readonly: boolean;
            hideLabel: boolean;
            showErrorSlot: boolean;
            isMobile: boolean;
        }>;
        dropdownRef: {
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                size: "large" | "regular" | "small";
            }> & Omit<{
                readonly size?: "large" | "regular" | "small";
            } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "size">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot<any>;
            }>;
            $root: import("vue").ComponentPublicInstance | null;
            $parent: import("vue").ComponentPublicInstance | null;
            $host: Element | null;
            $emit: (event: string, ...args: any[]) => void;
            $el: HTMLDivElement;
            $options: import("vue").ComponentOptionsBase<Readonly<import("./AppMultiSelectWithFiltersDropdown.vue").MultiSelectWithFiltersDropdownProps> & Readonly<{}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
                size: "large" | "regular" | "small";
            }, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & {
                beforeCreate?: (() => void) | (() => void)[];
                created?: (() => void) | (() => void)[];
                beforeMount?: (() => void) | (() => void)[];
                mounted?: (() => void) | (() => void)[];
                beforeUpdate?: (() => void) | (() => void)[];
                updated?: (() => void) | (() => void)[];
                activated?: (() => void) | (() => void)[];
                deactivated?: (() => void) | (() => void)[];
                beforeDestroy?: (() => void) | (() => void)[];
                beforeUnmount?: (() => void) | (() => void)[];
                destroyed?: (() => void) | (() => void)[];
                unmounted?: (() => void) | (() => void)[];
                renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
                errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance | null, info: string) => boolean | void)[];
            };
            $forceUpdate: () => void;
            $nextTick: typeof import("vue").nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (...args: [R, R, import("@vue/reactivity").OnCleanup]) => any : (...args: [any, any, import("@vue/reactivity").OnCleanup]) => any, options?: import("vue").WatchOptions): import("vue").WatchStopHandle;
        } & Readonly<{
            size: "large" | "regular" | "small";
        }> & Omit<Readonly<import("./AppMultiSelectWithFiltersDropdown.vue").MultiSelectWithFiltersDropdownProps> & Readonly<{}>, "size"> & import("vue").ShallowUnwrapRef<{}> & {} & import("vue").ComponentCustomProperties & {} & {
            $slots: {
                options?(_: {}): any;
            };
        };
    }, HTMLDivElement>;
    tags: string[];
    args: {
        addFreeTextToOptions: boolean;
        freeTextMask: string;
        inputId: string;
        inputLabel: string;
        minCharacterLength: number;
        options: any[];
        placeholder: string;
        removeValueAriaLabel: string;
        selectFirstFreeTextOptionOnEnter: boolean;
        size: string;
    };
    argTypes: {
        addFreeTextToOptions: {
            control: string;
            description: string;
        };
        freeTextMask: {
            control: string;
            description: string;
        };
        inputId: {
            control: string;
            description: string;
        };
        inputLabel: {
            control: string;
            description: string;
        };
        minCharacterLength: {
            control: string;
            description: string;
        };
        noMatchesMessage: {
            control: string;
            description: string;
        };
        options: {
            control: string;
            description: string;
        };
        placeholder: {
            control: string;
            description: string;
        };
        removeValueAriaLabel: {
            control: string;
            description: string;
        };
        selectFirstFreeTextOptionOnEnter: {
            control: string;
            description: string;
        };
        size: {
            control: {
                type: string;
            };
            options: string[];
            description: string;
        };
    };
    parameters: {
        docs: {
            args: {
                addFreeTextToOptions: string;
            };
            description: {
                component: string;
            };
        };
    };
};
export default _default;
export declare const Default: any;
