declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * If the radio button is disabled
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Id of this specific radio button (must be unique)
     */
    id: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Value of this specific radio button
     */
    radioValue: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Group name for radio buttons
     */
    groupName: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Label for radio button
     */
    inputLabel: {
        type: StringConstructor;
        required: true;
    };
    modelValue: {
        type: StringConstructor;
        required: false;
    };
}>, {}, {}, {
    isChecked(): boolean;
}, {
    radioChange(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * If the radio button is disabled
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Id of this specific radio button (must be unique)
     */
    id: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Value of this specific radio button
     */
    radioValue: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Group name for radio buttons
     */
    groupName: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Label for radio button
     */
    inputLabel: {
        type: StringConstructor;
        required: true;
    };
    modelValue: {
        type: StringConstructor;
        required: false;
    };
}>> & Readonly<{}>, {
    disabled: boolean;
}, {}, {
    RadioButtonIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, SVGSVGElement>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
