declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * The `aria-label` for the `button` provides a more descriptive message for screen-readers.
     * If defined the tag renders as a `button`, otherwise it will render as a `span`.
     * (example: Remove medication tag)
     */
    removeButtonAriaLabel: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Size of the tag
     */
    size: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Text for the tag
     */
    text: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Text color for the tag
     */
    textColorClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Background color for the tag
     */
    bgColorClass: {
        type: StringConstructor;
        default: string;
    };
}>, {}, {
    sharedClasses: string;
}, {
    sizeClasses(): "fx-text-sm fx-leading-1.2 fx-px-16 fx-py-4" | "fx-text-xs fx-leading-1.1 fx-px-12 fx-py-2";
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The `aria-label` for the `button` provides a more descriptive message for screen-readers.
     * If defined the tag renders as a `button`, otherwise it will render as a `span`.
     * (example: Remove medication tag)
     */
    removeButtonAriaLabel: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Size of the tag
     */
    size: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Text for the tag
     */
    text: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Text color for the tag
     */
    textColorClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Background color for the tag
     */
    bgColorClass: {
        type: StringConstructor;
        default: string;
    };
}>> & Readonly<{}>, {
    size: string;
    bgColorClass: string;
    textColorClass: string;
}, {}, {
    CloseIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, SVGSVGElement>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
