declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Use v-model to bind to this from the parent
     */
    modelValue: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Controls the HTML `name` attribute
     */
    inputName: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Adds an id to the input
     */
    inputId: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Controls the `label` on the input
     */
    inputLabel: {
        type: StringConstructor[];
        required: true;
    };
    /**
     * Controls the HTML `auto-complete` attribute
     */
    autoComplete: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Appears below the input to hint to the user about what to fill in
     */
    hintText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Error text that appears below the input. If this is present, the input goes into an error state.
     */
    errorText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Sets the HTML `maxlength` attribute
     */
    maxLength: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Provides inline visual styling removing paddings and border.
     */
    isInline: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Can change the height of the textarea if needed
     */
    rows: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    /**
     * placeholder text
     */
    placeholder: {
        type: StringConstructor;
        required: false;
    };
}>, {}, {}, {
    borderClasses(): "fx-border-brown-50 focus-within:fx-border-brown-100" | "fx-border-red-100 focus-within:fx-border-orange-100";
    inlineClasses(): "fx-border-none fx-pt-0 fx-pb-0 fx-px-0 focus-within:fx-ring-0\"" | "fx-border-1 fx-pt-8 fx-pb-16 fx-px-16 focus-within:fx-ring-2";
    ariaDescribedBy(): string;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Use v-model to bind to this from the parent
     */
    modelValue: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Controls the HTML `name` attribute
     */
    inputName: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Adds an id to the input
     */
    inputId: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Controls the `label` on the input
     */
    inputLabel: {
        type: StringConstructor[];
        required: true;
    };
    /**
     * Controls the HTML `auto-complete` attribute
     */
    autoComplete: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Appears below the input to hint to the user about what to fill in
     */
    hintText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Error text that appears below the input. If this is present, the input goes into an error state.
     */
    errorText: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Sets the HTML `maxlength` attribute
     */
    maxLength: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Provides inline visual styling removing paddings and border.
     */
    isInline: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Can change the height of the textarea if needed
     */
    rows: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    /**
     * placeholder text
     */
    placeholder: {
        type: StringConstructor;
        required: false;
    };
}>> & Readonly<{}>, {
    isInline: boolean;
    rows: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
