declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Heading level (h1, h2, h3, h4, h5, h6)
     */
    headingLevel: {
        type: StringConstructor;
        validator: (prop: unknown) => boolean;
        default: string;
    };
    /**
     * Size of the logo
     */
    size: {
        type: StringConstructor;
        validator: (prop: unknown) => boolean;
        default: string;
    };
    /**
     * Color of the logo
     */
    color: {
        type: StringConstructor;
        validator: (prop: unknown) => boolean;
        default: string;
    };
    /**
     * If the background is dark emphasis must be true
     */
    emphasis: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Ailment name (translation string) Ex: t('acne')
     */
    ailmentName: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Screen Reader only text (translation string) Ex: t('acne-treatment')
     */
    screenReaderOnly: {
        type: StringConstructor;
        required: true;
    };
}>, {}, {}, {
    getTextSize(): "fx-text-heading-28 md:fx-text-heading-32" | "fx-text-heading-16 md:fx-text-heading-20" | "fx-text-heading-14 md:fx-text-heading-16";
    getLogoSize(): "fx-h-[21px] fx-w-[24.5px] md:fx-h-[24px] md:fx-w-[28px]" | "fx-h-[12px] fx-w-[14px] md:fx-h-[15px] md:fx-w-[17.5px]" | "fx-h-[10.5px] fx-w-[12.25px] md:fx-h-[12px] md:fx-w-[14px]";
    getLogoColor(): "fx-text-primary-default" | "fx-text-brand-default" | "fx-text-primary-on-emphasis";
    getTextColor(): "fx-text-primary-default" | "fx-text-primary-on-emphasis";
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Heading level (h1, h2, h3, h4, h5, h6)
     */
    headingLevel: {
        type: StringConstructor;
        validator: (prop: unknown) => boolean;
        default: string;
    };
    /**
     * Size of the logo
     */
    size: {
        type: StringConstructor;
        validator: (prop: unknown) => boolean;
        default: string;
    };
    /**
     * Color of the logo
     */
    color: {
        type: StringConstructor;
        validator: (prop: unknown) => boolean;
        default: string;
    };
    /**
     * If the background is dark emphasis must be true
     */
    emphasis: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Ailment name (translation string) Ex: t('acne')
     */
    ailmentName: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Screen Reader only text (translation string) Ex: t('acne-treatment')
     */
    screenReaderOnly: {
        type: StringConstructor;
        required: true;
    };
}>> & Readonly<{}>, {
    size: string;
    color: string;
    headingLevel: string;
    emphasis: boolean;
}, {}, {
    FxIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, SVGSVGElement>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
